new GuiControlProfile(GuiCheckBoxItalicProfile : GuiCheckBoxProfile)
{
 fontType = "Arial Italic";
};

package AddOnsSelectAll
{
 function AddOnsGui::onWake(%this)
 {
  if(isObject(chkAddOnsSelectAll)){chkAddOnsSelectAll.delete();}
  if(isObject(chkAddOnsSelectDefault)){chkAddOnsSelectDefault.delete();}
  Parent::onWake(%this);
  %obj = AOG_Scroll.getObject(0);
  %pos = %obj.getPosition();
  %ext = %obj.getExtent();
  %x = getWord(%pos,0);
  %y = getWord(%pos,1);
  %w = getWord(%ext,0);
  %h = getWord(%ext,1); //Offsets all objects inside
  %obj.resize(%x,%y,%w,%h+36);
  %enabled = 0;
  for(%i=0;%i<%obj.getCount();%i++)
  {
   %o = %obj.getObject(%i);
   %o.resize(5,(%i*18)+36,256,18);
   %o.command = %o @ ".onClick();";
   if(%o.getValue())
   {
    %enabled = 1;
    switch$(%o.varName)
    {
	case "Brick_Large_Cubes":		%deselDef = 1;
	case "Emote_Alarm":		%deselDef = 1;
	case "Emote_Confusion":		%deselDef = 1;
	case "Emote_Hate":			%deselDef = 1;
	case "Emote_Love":			%deselDef = 1;
	case "Item_Skis":			%deselDef = 1;
	case "Light_Animated":		%deselDef = 1;
	case "Light_Basic":			%deselDef = 1;
	case "Particle_Basic":		%deselDef = 1;
	case "Particle_FX_Cans":		%deselDef = 1;
	case "Particle_Grass":		%deselDef = 1;
	case "Particle_Player":		%deselDef = 1;
	case "Player_Jump_Jet":		%deselDef = 1;
	case "Player_Leap_Jet":		%deselDef = 1;
	case "Player_No_Jet":		%deselDef = 1;
	case "Player_Quake":		%deselDef = 1;
	case "Print_1x2f_Default":		%deselDef = 1;
	case "Print_2x2f_Default":		%deselDef = 1;
	case "Print_2x2r_Default":		%deselDef = 1;
	case "Print_Letters_Default":		%deselDef = 1;
	case "Projectile_GravityRocket":	%deselDef = 1;
	case "Projectile_Pinball":		%deselDef = 1;
	case "Projectile_Pong":		%deselDef = 1;
	case "Projectile_Radio_Wave":	%deselDef = 1;
	case "Sound_Beeps":		%deselDef = 1;
	case "Sound_Phone":		%deselDef = 1;
	case "Sound_Synth4":		%deselDef = 1;
	case "Vehicle_Ball":			%deselDef = 1;
	case "Vehicle_Flying_Wheeled_Jeep":	%deselDef = 1;
	case "Vehicle_Horse":		%deselDef = 1;
	case "Vehicle_Jeep":		%deselDef = 1;
	case "Vehicle_Magic_Carpet":		%deselDef = 1;
	case "Vehicle_Tank":		%deselDef = 1;
	case "Weapon_Bow":		%deselDef = 1;
	case "Weapon_Gun":		%deselDef = 1;
	case "Weapon_Guns_Akimbo":	%deselDef = 1;
	case "Weapon_Horse_Ray":		%deselDef = 1;
	case "Weapon_Push_Broom":		%deselDef = 1;
	case "Weapon_Rocket_Launcher":	%deselDef = 1;
	case "Weapon_Spear":		%deselDef = 1;
	case "Weapon_Sword":		%deselDef = 1;
    }
   }
  }
  new GuiCheckBoxCtrl(chkAddOnsSelectAll) {
     profile = "GuiCheckBoxItalicProfile";
     horizSizing = "right";
     vertSizing = "bottom";
     position = "5 0";
     extent = "256 18";
     minExtent = "8 2";
     visible = "1";
     text = "Select All";
     groupNum = "-1";
     buttonType = "ToggleButton";
     isSelectAllChkbox = 1;
  };%obj.add(chkAddOnsSelectAll);
  new GuiCheckBoxCtrl(chkAddOnsSelectDefault) {
     profile = "GuiCheckBoxItalicProfile";
     horizSizing = "right";
     vertSizing = "bottom";
     position = "5 18";
     extent = "256 18";
     minExtent = "8 2";
     visible = "1";
     text = "Select All";
     groupNum = "-1";
     buttonType = "ToggleButton";
     command = "selectDefaultAddOns();";
     isSelectAllChkbox = 1;
  };%obj.add(chkAddOnsSelectDefault);
  if(%enabled)
  {
   chkAddOnsSelectAll.setText("Deselect All");
   chkAddOnsSelectAll.setValue(1);
   chkAddOnsSelectAll.command = "selectAllAddOns(0);";
  }
  else
  {
   chkAddOnsSelectAll.setText("Select All");
   chkAddOnsSelectAll.setValue(0);
   chkAddOnsSelectAll.command = "selectAllAddOns(1);";
  }
  if(%deselDef)
  {
   chkAddOnsSelectDefault.setText("Deselect Default");
   chkAddOnsSelectDefault.setValue(1);
   chkAddOnsSelectDefault.command = "selectDefaultAddOns(0);";
  }
  else
  {
   chkAddOnsSelectDefault.setText("Select Default");
   chkAddOnsSelectDefault.setValue(0);
   chkAddOnsSelectDefault.command = "selectDefaultAddOns(1);";
  }
 }
 function MusicFilesGui::onWake(%this)
 {
  if(isObject(chkMusicSelectAll)){chkMusicSelectAll.delete();}
  if(isObject(chkMusicSelectDefault)){chkMusicSelectAll.delete();}
  Parent::onWake(%this);
  %obj = MFG_Scroll.getObject(0);
  %pos = %obj.getPosition();
  %ext = %obj.getExtent();
  %x = getWord(%pos,0);
  %y = getWord(%pos,1);
  %w = getWord(%ext,0);
  %h = getWord(%ext,1); //Offsets all objects inside
  %obj.resize(%x,%y,%w,%h+36);
  %enabled = 0;
  for(%i=0;%i<%obj.getCount();%i++)
  {
   %o = %obj.getObject(%i);
   %o.resize(5,(%i*18)+36,256,18);
   %o.command = %o @ ".onClick();";
   if(%o.getValue())
   {
    %enabled = 1;
    switch$(%o.varName)
    {
	case "After_School_Special":	%deselDef = 1;
	case "Ambient_Deep":	%deselDef = 1;
	case "Bass_1":		%deselDef = 1;
	case "Bass_2":		%deselDef = 1;
	case "Bass_3":		%deselDef = 1;
	case "Creepy":		%deselDef = 1;
	case "Distort":		%deselDef = 1;
	case "Drums":		%deselDef = 1;
	case "Factory":		%deselDef = 1;
	case "Icy":			%deselDef = 1;
	case "Jungle":		%deselDef = 1;
	case "Peaceful":		%deselDef = 1;
	case "Piano_Bass":		%deselDef = 1;
	case "Rock":		%deselDef = 1;
	case "Stress_":		%deselDef = 1;
    }
   }
  }
  new GuiCheckBoxCtrl(chkMusicSelectAll) {
     profile = "GuiCheckBoxItalicProfile";
     horizSizing = "right";
     vertSizing = "bottom";
     position = "5 0";
     extent = "256 18";
     minExtent = "8 2";
     visible = "1";
     text = "Select All";
     groupNum = "-1";
     buttonType = "ToggleButton";
     isSelectAllChkbox = 1;
  };%obj.add(chkMusicSelectAll);
  new GuiCheckBoxCtrl(chkMusicSelectDefault) {
     profile = "GuiCheckBoxItalicProfile";
     horizSizing = "right";
     vertSizing = "bottom";
     position = "5 18";
     extent = "256 18";
     minExtent = "8 2";
     visible = "1";
     text = "Select Default";
     groupNum = "-1";
     buttonType = "ToggleButton";
     isSelectAllChkbox = 1;
  };%obj.add(chkMusicSelectDefault);
  if(%enabled)
  {
   chkMusicSelectAll.setText("Deselect All");
   chkMusicSelectAll.setValue(1);
   chkMusicSelectAll.command = "selectAllMusic(0);";
  }
  else
  {
   chkMusicSelectAll.setText("Select All");
   chkMusicSelectAll.setValue(0);
   chkMusicSelectAll.command = "selectAllMusic(1);";
  }
  if(%deselDef)
  {
   chkMusicSelectDefault.setText("Deselect Default");
   chkMusicSelectDefault.setValue(0);
   chkMusicSelectDefault.command = "selectDefaultMusic(0);";
  }
  else
  {
   chkMusicSelectDefault.setText("Select Default");
   chkMusicSelectDefault.setValue(0);
   chkMusicSelectDefault.command = "selectDefaultMusic(1);";
  }
 }
 function GuiCheckBoxCtrl::onClick(%this) //this is a custom command so I don't need to parent it
 {
  if(AddOnsGUI.isAwake())
  {
   %obj = AOG_Scroll.getObject(0);
   for(%i=0;%i<%obj.getCount();%i++)
   {
    %o = %obj.getObject(%i);
    if(!%o.isSelectAllChkbox && %o.getValue())
    {
     %desel = 1;
     switch$(%o.varName)
     {
	case "Brick_Large_Cubes":		%deselDef = 1;
	case "Emote_Alarm":		%deselDef = 1;
	case "Emote_Confusion":		%deselDef = 1;
	case "Emote_Hate":			%deselDef = 1;
	case "Emote_Love":			%deselDef = 1;
	case "Item_Skis":			%deselDef = 1;
	case "Light_Animated":		%deselDef = 1;
	case "Light_Basic":			%deselDef = 1;
	case "Particle_Basic":		%deselDef = 1;
	case "Particle_FX_Cans":		%deselDef = 1;
	case "Particle_Grass":		%deselDef = 1;
	case "Particle_Player":		%deselDef = 1;
	case "Player_Jump_Jet":		%deselDef = 1;
	case "Player_Leap_Jet":		%deselDef = 1;
	case "Player_No_Jet":		%deselDef = 1;
	case "Player_Quake":		%deselDef = 1;
	case "Print_1x2f_Default":		%deselDef = 1;
	case "Print_2x2f_Default":		%deselDef = 1;
	case "Print_2x2r_Default":		%deselDef = 1;
	case "Print_Letters_Default":		%deselDef = 1;
	case "Projectile_GravityRocket":	%deselDef = 1;
	case "Projectile_Pinball":		%deselDef = 1;
	case "Projectile_Pong":		%deselDef = 1;
	case "Projectile_Radio_Wave":	%deselDef = 1;
	case "Sound_Beeps":		%deselDef = 1;
	case "Sound_Phone":		%deselDef = 1;
	case "Sound_Synth4":		%deselDef = 1;
	case "Vehicle_Ball":			%deselDef = 1;
	case "Vehicle_Flying_Wheeled_Jeep":	%deselDef = 1;
	case "Vehicle_Horse":		%deselDef = 1;
	case "Vehicle_Jeep":		%deselDef = 1;
	case "Vehicle_Magic_Carpet":		%deselDef = 1;
	case "Vehicle_Tank":		%deselDef = 1;
	case "Weapon_Bow":		%deselDef = 1;
	case "Weapon_Gun":		%deselDef = 1;
	case "Weapon_Guns_Akimbo":	%deselDef = 1;
	case "Weapon_Horse_Ray":		%deselDef = 1;
	case "Weapon_Push_Broom":		%deselDef = 1;
	case "Weapon_Rocket_Launcher":	%deselDef = 1;
	case "Weapon_Spear":		%deselDef = 1;
	case "Weapon_Sword":		%deselDef = 1;
     }
    }
   }
   if(%desel)
   {
    chkAddOnsSelectAll.setText("Deselect All");
    chkAddOnsSelectAll.setValue(1);
    chkAddOnsSelectAll.command = "selectAllAddOns(0);";
   }
   else
   {
    chkAddOnsSelectAll.setText("Select All");
    chkAddOnsSelectAll.setValue(0);
    chkAddOnsSelectAll.command = "selectAllAddOns(1);";
   }
   if(%deselDef)
   {
    chkAddOnsSelectDefault.setText("Deselect Default");
    chkAddOnsSelectDefault.setValue(1);
    chkAddOnsSelectDefault.command = "selectDefaultAddOns(0);";
   }
   else
   {
    chkAddOnsSelectDefault.setText("Select Default");
    chkAddOnsSelectDefault.setValue(0);
    chkAddOnsSelectDefault.command = "selectDefaultAddOns(1);";
   }
  }
  else if(MusicFilesGUI.isAwake())
  {
   %obj = MFG_Scroll.getObject(0);
   for(%i=0;%i<%obj.getCount();%i++)
   {
    %o = %obj.getObject(%i);
    if(!%o.isSelectAllChkbox && %o.getValue())
    {
     %desel = 1;
     switch$(%o.varName)
     {
	case "After_School_Special":	%deselDef = 1;
	case "Ambient_Deep":	%deselDef = 1;
	case "Bass_1":		%deselDef = 1;
	case "Bass_2":		%deselDef = 1;
	case "Bass_3":		%deselDef = 1;
	case "Creepy":		%deselDef = 1;
	case "Distort":		%deselDef = 1;
	case "Drums":		%deselDef = 1;
	case "Factory":		%deselDef = 1;
	case "Icy":			%deselDef = 1;
	case "Jungle":		%deselDef = 1;
	case "Peaceful":		%deselDef = 1;
	case "Piano_Bass":		%deselDef = 1;
	case "Rock":		%deselDef = 1;
	case "Stress_":		%deselDef = 1;
     }
    }
   }
   if(%desel)
   {
    chkMusicSelectAll.setText("Deselect All");
    chkMusicSelectAll.setValue(1);
    chkMusicSelectAll.command = "selectAllMusic(0);";
   }
   else
   {
    chkMusicSelectAll.setText("Select All");
    chkMusicSelectAll.setValue(0);
    chkMusicSelectAll.command = "selectAllMusic(1);";
   }
   if(%deselDef)
   {
    chkMusicSelectDefault.setText("Deselect Default");
    chkMusicSelectDefault.setValue(1);
    chkMusicSelectDefault.command = "selectDefaultMusic(0);";
   }
   else
   {
    chkMusicSelectDefault.setText("Select Default");
    chkMusicSelectDefault.setValue(0);
    chkMusicSelectDefault.command = "selectDefaultMusic(1);";
   }
  }
 }
};activatePackage(AddOnsSelectAll);

function selectAllAddOns(%val)
{
 %obj = AOG_Scroll.getObject(0);
 for(%i=0;%i<%obj.getCount();%i++)
 {
  %o = %obj.getObject(%i);
  if(!%o.isSelectAllChkbox)
   %o.setValue(%val);
 }
 if(%val)
 {
  chkAddOnsSelectAll.setText("Deselect All");
  chkAddOnsSelectAll.setValue(1);
  chkAddOnsSelectAll.command = "selectAllAddOns(0);";
  chkAddOnsSelectDefault.setText("Deselect Default");
  chkAddOnsSelectDefault.setValue(1);
  chkAddOnsSelectDefault.command = "selectDefaultAddOns(0);";
 }
 else
 {
  chkAddOnsSelectAll.setText("Select All");
  chkAddOnsSelectAll.setValue(0);
  chkAddOnsSelectAll.command = "selectAllAddOns(1);";
  chkAddOnsSelectDefault.setText("Select Default");
  chkAddOnsSelectDefault.setValue(0);
  chkAddOnsSelectDefault.command = "selectDefaultAddOns(1);";
 }
}

function selectDefaultAddOns(%val)
{
 %obj = AOG_Scroll.getObject(0);
 for(%i=0;%i<%obj.getCount();%i++)
 {
  %o = %obj.getObject(%i);
  if(!%o.isSelectAllChkbox)
  {
   if(%o.getValue()){%desel = 1;}
   switch$(%o.varName)
   {
	case "Brick_Large_Cubes":		%o.setValue(%val);
	case "Emote_Alarm":		%o.setValue(%val);
	case "Emote_Confusion":		%o.setValue(%val);
	case "Emote_Hate":			%o.setValue(%val);
	case "Emote_Love":			%o.setValue(%val);
	case "Item_Skis":			%o.setValue(%val);
	case "Light_Animated":		%o.setValue(%val);
	case "Light_Basic":			%o.setValue(%val);
	case "Particle_Basic":		%o.setValue(%val);
	case "Particle_FX_Cans":		%o.setValue(%val);
	case "Particle_Grass":		%o.setValue(%val);
	case "Particle_Player":		%o.setValue(%val);
	case "Player_Jump_Jet":		%o.setValue(%val);
	case "Player_Leap_Jet":		%o.setValue(%val);
	case "Player_No_Jet":		%o.setValue(%val);
	case "Player_Quake":		%o.setValue(%val);
	case "Print_1x2f_Default":		%o.setValue(%val);
	case "Print_2x2f_Default":		%o.setValue(%val);
	case "Print_2x2r_Default":		%o.setValue(%val);
	case "Print_Letters_Default":		%o.setValue(%val);
	case "Projectile_GravityRocket":	%o.setValue(%val);
	case "Projectile_Pinball":		%o.setValue(%val);
	case "Projectile_Pong":		%o.setValue(%val);
	case "Projectile_Radio_Wave":	%o.setValue(%val);
	case "Sound_Beeps":		%o.setValue(%val);
	case "Sound_Phone":		%o.setValue(%val);
	case "Sound_Synth4":		%o.setValue(%val);
	case "Vehicle_Ball":			%o.setValue(%val);
	case "Vehicle_Flying_Wheeled_Jeep":	%o.setValue(%val);
	case "Vehicle_Horse":		%o.setValue(%val);
	case "Vehicle_Jeep":		%o.setValue(%val);
	case "Vehicle_Magic_Carpet":		%o.setValue(%val);
	case "Vehicle_Tank":		%o.setValue(%val);
	case "Weapon_Bow":		%o.setValue(%val);
	case "Weapon_Gun":		%o.setValue(%val);
	case "Weapon_Guns_Akimbo":	%o.setValue(%val);
	case "Weapon_Horse_Ray":		%o.setValue(%val);
	case "Weapon_Push_Broom":		%o.setValue(%val);
	case "Weapon_Rocket_Launcher":	%o.setValue(%val);
	case "Weapon_Spear":		%o.setValue(%val);
	case "Weapon_Sword":		%o.setValue(%val);
   }
  }
 }
 if(%val)
 {
  chkAddOnsSelectAll.setText("Deselect All");
  chkAddOnsSelectAll.setValue(1);
  chkAddOnsSelectAll.command = "selectAllAddOns(0);";
  chkAddOnsSelectDefault.setText("Deselect Default");
  chkAddOnsSelectDefault.setValue(1);
  chkAddOnsSelectDefault.command = "selectDefaultAddOns(0);";
 }
 else
 {
  if(!%desel)
  {
   chkAddOnsSelectAll.setText("Select All");
   chkAddOnsSelectAll.setValue(0);
   chkAddOnsSelectAll.command = "selectAllAddOns(1);";
  }
  chkAddOnsSelectDefault.setText("Select Default");
  chkAddOnsSelectDefault.setValue(0);
  chkAddOnsSelectDefault.command = "selectDefaultAddOns(1);";
 }
}

function selectAllMusic(%val)
{
 %obj = MFG_Scroll.getObject(0);
 for(%i=0;%i<%obj.getCount();%i++)
 {
  %o = %obj.getObject(%i);
  if(!%o.isSelectAllChkbox)
   %o.setValue(%val);
 }
 if(%val)
 {
  chkMusicSelectAll.setText("Deselect All");
  chkMusicSelectAll.setValue(1);
  chkMusicSelectAll.command = "selectAllMusic(0);";
  chkMusicSelectDefault.setText("Deselect Default");
  chkMusicSelectDefault.setValue(1);
  chkMusicSelectDefault.command = "selectDefaultMusic(0);";
 }
 else
 {
  chkMusicSelectAll.setText("Select All");
  chkMusicSelectAll.setValue(0);
  chkMusicSelectAll.command = "selectAllMusic(1);";
  chkMusicSelectDefault.setText("Select Default");
  chkMusicSelectDefault.setValue(0);
  chkMusicSelectDefault.command = "selectDefaultMusic(1);";
 }
}

function selectDefaultMusic(%val)
{
 %obj = MFG_Scroll.getObject(0);
 for(%i=0;%i<%obj.getCount();%i++)
 {
  %o = %obj.getObject(%i);
  if(!%o.isSelectAllChkbox)
  {
   if(%o.getValue()){%desel = 1;}
   switch$(%o.varName)
   {
	case "After_School_Special":	%o.setValue(%val);
	case "Ambient_Deep":	%o.setValue(%val);
	case "Bass_1":		%o.setValue(%val);
	case "Bass_2":		%o.setValue(%val);
	case "Bass_3":		%o.setValue(%val);
	case "Creepy":		%o.setValue(%val);
	case "Distort":		%o.setValue(%val);
	case "Drums":		%o.setValue(%val);
	case "Factory":		%o.setValue(%val);
	case "Icy":			%o.setValue(%val);
	case "Jungle":		%o.setValue(%val);
	case "Peaceful":		%o.setValue(%val);
	case "Piano_Bass":		%o.setValue(%val);
	case "Rock":		%o.setValue(%val);
	case "Stress_":		%o.setValue(%val);
   }
  }
 }
 if(%val)
 {
  chkMusicSelectAll.setText("Deselect All");
  chkMusicSelectAll.setValue(1);
  chkMusicSelectAll.command = "selectAllMusic(0);";
  chkMusicSelectDefault.setText("Deselect Default");
  chkMusicSelectDefault.setValue(1);
  chkMusicSelectDefault.command = "selectDefaultMusic(0);";
 }
 else
 {
  if(!%desel)
  {
   chkMusicSelectAll.setText("Select All");
   chkMusicSelectAll.setValue(0);
   chkMusicSelectAll.command = "selectAllMusic(1);";
  }
  chkMusicSelectDefault.setText("Select Default");
  chkMusicSelectDefault.setValue(0);
  chkMusicSelectDefault.command = "selectDefaultMusic(1);";
 }
}